import request from '@/assets/js/utils/request'

// 提交或更新专家职业资格信息
export function checkTSUserInfoOnlyIDCard(data) {
  return request({
    url: '/bidprocurement/expertscloud-expert/info/exptExpertCertificationController/submitOrUpdateExptExpertCertification',
    method: 'post',
    data
  })
}

// 根据专家用户id获取职业资格信息
export function getExpertCertificationById(data) {
  return request({
    url: '/bidprocurement/expertscloud-expert/info/exptExpertCertificationController/getExpertCertificationById',
    method: 'post',
    data
  })
}

// 删除专家职业资格
export function deleteExptExpertCertification(id) {
  return request({
    url: '/bidprocurement/expertscloud-expert/info/exptExpertCertificationController/deleteExptExpertCertification?id=' + id,
    method: 'post'
  })
}

// 查询专家所有职业资格证书信息
export function queryAllTBExpertBasePracticeQualification(data) {
  return request({
    url: '/bidprocurement/expertscloud-expert/common/tbexpertbasepracticequalification/queryAllTBExpertBasePracticeQualification',
    method: 'post',
    data
  })
}

